{% extends 'shared/_dashboard.html' %}
{% load static %}
{% load widget_tweaks %}

{% block body %}
<div class="container-fluid">
    <div class="row">
        <div class="col-12">

            <h1>Account Management</h1>
            <nav class="breadcrumb-container d-none d-sm-block d-lg-inline-block" aria-label="breadcrumb">
                <ol class="breadcrumb pt-0">
                    <li class="breadcrumb-item">
                        <a href="{% url 'dashboard:home' %}">Home</a>
                    </li>
                    <li class="breadcrumb-item">
                        <a href="{% url 'dashboard:account' %}">Account</a>
                    </li>
                    <li class="breadcrumb-item active" aria-current="page">Profile</li>
                </ol>
            </nav>
            <div class="separator mb-5"></div>


        </div>
    </div>

    <div class="row">
        <div class="col-12 col-lg-12 mb-5">

            <div class="card mb-4">
                <div class="card-body">
                    <h5 class="mb-4">Profile Modification</h5>
                    {% if messages %}
                        {% for message in messages %}
                            {% if 'error' in message.tags %}
                                <div class="alert alert-danger">
                            {% else %}
                                <div class="alert alert-{{ message.tags }}">
                            {% endif %}
                                <li {% if message.tags %}class="{{ message.tags }}"{% endif %}>{{ message }}</li>
                            </div>
                        {% endfor %}
                    {% endif %}
                        
                    {% if form.errors %}
                        <div class="alert alert-danger">
                            {{ form.errors }}
                        </div>
                    {% endif %}
                    
                    {% if not request.user.profile.is_published %}
                    <div style="float: right;">
                        <button type="button" class="btn btn-danger btn-lg" data-toggle="modal" data-target="#check">Finalize Profile</button>
                    </div> 

                    <div class="clearfix"></div>

                    <div class="container">
                        <div class="modal fade" id="check" role="dialog">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h4 class="modal-title">Warning</h4>
                                    </div>
                                    <div class="modal-body">
                                        {% if user.profile.is_published %}
                                            <p>Your profile is finalized now. You can't change that anymore.
                                            </p>
                                        {% else %}
                                            <p>After finalizing your profile you can not modify the profile anymore. Are you sure to finalize profile?
                                            </p>
                                        {% endif %}
                                    </div>

                                    {% if request.user.profile.is_published %}
                                        <div class="modal-footer">
                                            <button style="float: right;" class="btn btn-info" data-dismiss="modal">Ok</button>
                                        </div>
                                    {% else %}
                                        <div class="modal-footer">
                                            <form method="POST" id="profile-published" action="{% url 'dashboard:account-profile-published' request.user.pk  %}">
                                                {% csrf_token %}                                               
                                                <input type="hidden" name="g-recaptcha-response" id='recaptcha' />
                                                <input type="hidden" name="user" class="form-control invisible" required="" value={{ request.user.pk }} />
                                                <input type="hidden" name="is_published" class="form-control invisible" required="" value='true' />
                                                <button type="submit" class="btn btn-danger btn-lg">Finalize my Profile</button>
                                            </form>
                                            <button class="btn btn-info" data-dismiss="modal">No</button>
                                        </div>
                                    {% endif %}
                                </div>
                            </div>
                        </div>

                        <div class="modal fade" id="projectModal" role="dialog">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h4 class="modal-title">Information</h4>
                                    </div>
                                    <div class="modal-body">
                                        
                                        <p>First you must finalize your application.</p>
                                    </div>

                                    <div class="modal-footer">
                                        <button style="float: right;" class="btn btn-danger" data-dismiss="modal">No</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    {% endif %}
                    
                    <hr/>



                    
                    {% if not request.user.profile.is_published %}

                        <form method="POST" id="profile-draft" enctype="multipart/form-data" class="tooltip-label-right" action="{% url 'dashboard:account-profile-edit' request.user.pk %}">
                            {% csrf_token %}
                            
                            <input type="hidden" name="g-recaptcha-response" id='recaptcha'>
                            <div class="form-group position-relative error-l-50">
                                <label>{{ form.origin.label }}</label>
                                {% render_field form.origin class="form-control" required="" %}
                                
                                <div class="invalid-tooltip">
                                    {{ form.origin.label }} is required!
                                </div>
                            </div>

                            <div class="form-group position-relative error-l-50">
                                <label>{{ form.phone_number.label }}</label>
                                {% render_field form.phone_number class="form-control" required="" %}
                                
                                <div class="invalid-tooltip">
                                    {{ form.phone_number.label }} is required!
                                </div>
                            </div>

                            <div class="form-group position-relative error-l-50">
                                <label>{{ form.residence.label }}</label>
                                {% render_field form.residence class="form-control" required="" %}
                                
                                <div class="invalid-tooltip">
                                    {{ form.residence.label }} is required!
                                </div>
                            </div>

                            <div class="form-group position-relative error-l-50">
                                <label>{{ form.gender.label }}</label>
                                {% render_field form.gender class="form-control" required="" %}
                                
                                <div class="invalid-tooltip">
                                    {{ form.gender.label }} is required!
                                </div>
                            </div>

                            <div class="form-group position-relative error-l-50">
                                <label>{{ form.bio.label }}</label>
                                {% render_field form.bio class="form-control" required="" %}
                                
                                <div class="invalid-tooltip">
                                    {{ form.bio.label }} is required!
                                </div>
                            </div>

                            <div class="form-group position-relative error-l-50">
                                <label>{{ form.location.label }}</label>
                                {% render_field form.location class="form-control" required="" %}
                                
                                <div class="invalid-tooltip">
                                    {{ form.location.label }} is required!
                                </div>
                            </div>

                            <div class="form-group position-relative error-l-50">
                                <label>{{ form.instagram.label }}</label>
                                {% render_field form.instagram class="form-control" required="" %}
                                
                                <div class="invalid-tooltip">
                                    {{ form.instagram.label }} is required!
                                </div>
                            </div>

                            <div class="form-group position-relative error-l-50">
                                <label>{{ form.facebook.label }}</label>
                                {% render_field form.facebook class="form-control" required="" %}
                                
                                <div class="invalid-tooltip">
                                    {{ form.facebook.label }} is required!
                                </div>
                            </div>

                            <div class="form-group position-relative error-l-50">
                                <label>{{ form.twitter.label }}</label>
                                {% render_field form.twitter class="form-control" required="" %}
                                
                                <div class="invalid-tooltip">
                                    {{ form.twitter.label }} is required!
                                </div>
                            </div>

                            <div class="form-group position-relative error-l-50">
                                <label>{{ form.cover.label }}</label>
                                {% render_field form.cover class="form-control" required="" %}
                                
                                <div class="invalid-tooltip">
                                    {{ form.cover.label }} is required!
                                </div>
                            </div>

                            <div class="form-group position-relative error-l-50">
                                <label>{{ form.picture.label }}</label>
                                {% render_field form.picture class="form-control" required="" %}
                                
                                <div class="invalid-tooltip">
                                    {{ form.picture.label }} is required!
                                </div>
                            </div>

                            <div class="form-group position-relative error-l-50">
                                <label>{{ form.id_card.label }}</label>
                                {% render_field form.id_card class="form-control" required="" %}
                                
                                <div class="invalid-tooltip">
                                    {{ form.id_card.label }} is required!
                                </div>
                            </div>

                            <div class="form-group position-relative error-l-50 invisible">
                                <label>User</label>
                                <input type="text" name="user" class="form-control invisible" required="" value={{ request.user.pk }}>
                                <div class="invalid-tooltip">
                                    User is required!
                                </div>
                            </div>

                            <button type="submit" class="btn btn-primary">Save</button>
                        </form>
                    {% else %}
                    <div class="form-group position-relative">
                        <label>{{ form.origin.label }}</label>
                        <input type="text" disabled="disabled" class="form-control" value = {{ request.user.profile.origin.name }} >
                    </div>
                    <div class="form-group position-relative">
                        <label>{{ form.residence.label }}</label>
                        <input type="text" disabled="disabled" class="form-control" value = {{ request.user.profile.residence.name }} >
                    </div>

                    <div class="form-group position-relative">
                        <label>{{ form.phone_number.label }}</label>
                        <input type="text" disabled="disabled" class="form-control" value = {{ request.user.profile.phone_number }} >
                    </div>
                    <div class="form-group position-relative">
                        <label>{{ form.gender.label }}</label>
                        <input type="text" disabled="disabled" class="form-control" value = {{ request.user.profile.get_gender_display }} >
                    </div>
                    <div class="form-group position-relative">
                        <label>{{ form.bio.label }}</label>
                        <input type="text" disabled="disabled" class="form-control" value = {{ request.user.profile.bio }} >
                    </div>
                    <div class="form-group position-relative">
                        <label>{{ form.location.label }}</label>
                        <input type="text" disabled="disabled" class="form-control" value = {{ request.user.profile.location }} >
                    </div>
                    <div class="form-group position-relative">
                        <label>{{ form.instagram.label }}</label>
                        <input type="text" disabled="disabled" class="form-control" value = {{ request.user.profile.instagram }} >
                    </div>
                    <div class="form-group position-relative">
                        <label>{{ form.facebook.label }}</label>
                        <input type="text" disabled="disabled" class="form-control" value = {{ request.user.profile.facebook }} >
                    </div>
                    <div class="form-group position-relative">
                        <label>{{ form.twitter.label }}</label>
                        <input type="text" disabled="disabled" class="form-control" value = {{ request.user.profile.twitter }} >
                    </div>
                    <div class="form-group position-relative">
                        <label>{{ form.id_card.label }}</label>
                        <input type="text" disabled="disabled" class="form-control" value = {% if request.user.profile.id_card %} Secured {% endif %} />
                    </div>
                    <div class="form-group position-relative">
                        <label>{{ form.picture.label }}</label>
                        <input type="text" disabled="disabled" class="form-control" value = {% if request.user.profile.picture %} Secured {% endif %} />
                    </div>
                    <div class="form-group position-relative">
                        <label>{{ form.cover.label }}</label>
                        <input type="text" disabled="disabled" class="form-control" value = {% if request.user.profile.cover %} Secured {% endif %} />
                    </div>

                    {% endif %}

                   
                </div>
            </div>
        </div>
    </div>
</div>

{% endblock %}

{% comment %} {% block scripts %}
    <script src="https://www.google.com/recaptcha/api.js?render=6LfZsvgUAAAAAJX02IjM58aIqO5y-g60SRJGPR4A"></script>
    <script>
        grecaptcha.ready(function() {
            $('#profile-draft').submit(function(e){
                var form = this;
                e.preventDefault()
                grecaptcha.execute('6LfZsvgUAAAAAJX02IjM58aIqO5y-g60SRJGPR4A', {action: 'recaptcha'}).then(function(token) {
                    $('#recaptcha').val(token)
                    form.submit()
                });
            })

        });
    </script>
    <script>
        grecaptcha.ready(function() {
            $('#profile-published').submit(function(e){
                var form = this;
                e.preventDefault()
                grecaptcha.execute('6LfZsvgUAAAAAJX02IjM58aIqO5y-g60SRJGPR4A', {action: 'recaptcha'}).then(function(token) {
                    $('#recaptcha').val(token)
                    form.submit()
                });
            })

        });
    </script>
{% endblock %} {% endcomment %}
